java环境设置??[问题]

为当前最终发行版之前的所有版本提供支持
回复
jolmer
帖子: 5
注册时间: 2007-10-08 14:33
送出感谢: 0
接收感谢: 0
联系:

java环境设置??[问题]

#1

帖子 jolmer » 2008-04-08 11:47

以下是我的/etc/profile:
/etc/profile: system-wide .profile file for the Bourne shell (sh(1))
# and Bourne compatible shells (bash(1), ksh(1), ash(1), ...).

if [ -d /etc/profile.d ]; then
for i in /etc/profile.d/*.sh; do
if [ -r $i ]; then
. $i
fi
done
unset i
fi

if [ "$PS1" ]; then
if [ "$BASH" ]; then
PS1='\u@\h:\w\$ '
if [ -f /etc/bash.bashrc ]; then
. /etc/bash.bashrc
fi
else
if [ "`id -u`" -eq 0 ]; then
PS1='# '
else
PS1='$ '
fi
fi
fi


export JAVA_HOME=/usr/jdk1.6.0_05
export PATH=$PATH:/usr/jdk1.6.0_05/bin
export CLASSPATH=./:/usr/jdk1.6.0_05/lib/dt.jar:/usr/jdk1.6.0_05/lib/tools.jar:/usr/jdk1.6.0_05/jre/lib/rt.jar
umask 022
使用source之后用java -version检查没有成功
在网上搜了一下,都是大同小异,不知道错在什么地方,请高手指点一下。。。
gonline
帖子: 62
注册时间: 2007-05-12 17:46
来自: 暗夜
送出感谢: 0
接收感谢: 0

#2

帖子 gonline » 2008-04-09 17:22

这个文件是不需要修改的。建议看这帖,http://forum.ubuntu.org.cn/viewtopic.php?t=89614
头像
mmxcq
帖子: 214
注册时间: 2007-07-28 14:04
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 mmxcq » 2008-04-13 21:56

export JAVA_HOME=/home/sun/jdk_1.6
export CLASSPATH=.
export PATH=$JAVA_HOME/bin:$PATH
我要去租车搜索www.517car.com
Yoyi
帖子: 51
注册时间: 2008-03-26 9:32
送出感谢: 0
接收感谢: 0

#4

帖子 Yoyi » 2008-04-13 22:55

mmxcq 写了:export JAVA_HOME=/home/sun/jdk_1.6
export CLASSPATH=.
export PATH=$JAVA_HOME/bin:$PATH


话说偶配置了 然后进不了正常的gnome桌面
删了之后正常 jave --version
java
javac都使用正常
头像
mmxcq
帖子: 214
注册时间: 2007-07-28 14:04
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 mmxcq » 2008-04-14 13:33

老大/home/sun/jdk_1.6 这个要设置成你的路径阿
你是安在哪里的就设置为哪里的路径

如果是从源里安jdk的就不用设置阿

你很搞笑
我要去租车搜索www.517car.com
头像
yiding_he
帖子: 2677
注册时间: 2006-10-25 18:10
来自: 长沙
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 yiding_he » 2008-04-14 13:36

楼主搞错文件了,应该是
/etc/environment
你是自由的。别人也是。
头像
寂寞杀手
帖子: 335
注册时间: 2006-09-27 19:59
来自: 银川,宁夏
送出感谢: 0
接收感谢: 0

#7

帖子 寂寞杀手 » 2008-04-14 14:04

mmxcq 写了:老大/home/sun/jdk_1.6 这个要设置成你的路径阿
你是安在哪里的就设置为哪里的路径

如果是从源里安jdk的就不用设置阿

你很搞笑



搞笑倒是不能这么说——谁都一样从菜鸟出来过,我到现在还是菜鸟中的菜鸟,
不过从源里安装却是很省事,什么都不用管,装上用就行了!
回复

回到 “老旧版本支持”